# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate rusttype

Name:           rust-%{crate}
Version:        0.9.2
Release:        4%{?dist}
Summary:        Pure Rust alternative to libraries like FreeType

# Upstream license specification: MIT / Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/rusttype
Source:         %{crates_source}
# Initial patched metadata
# * bump approx from 0.3 to 0.5
# * bump crossbeam-deque from 0.7 to 0.8
# * bump crossbeam-utils from 0.7 to 0.8
# * bump owned_ttf_parser from 0.6 to 0.12
Patch0:         rusttype-fix-metadata.diff
# adapt to owned_ttf_parser 0.6 -> 0.12 API changes
Patch1:         0001-adapt-to-owned_ttf_parser-0.6-0.12-API-changes.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Pure Rust alternative to libraries like FreeType.
RustType provides an API for loading, querying and rasterising TrueType fonts.
It also provides an implementation of a dynamic GPU glyph cache for hardware
font rendering.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+crossbeam-deque-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-deque-devel %{_description}

This package contains library source intended for building other packages
which use "crossbeam-deque" feature of "%{crate}" crate.

%files       -n %{name}+crossbeam-deque-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+crossbeam-utils-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-utils-devel %{_description}

This package contains library source intended for building other packages
which use "crossbeam-utils" feature of "%{crate}" crate.

%files       -n %{name}+crossbeam-utils-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+gpu_cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gpu_cache-devel %{_description}

This package contains library source intended for building other packages
which use "gpu_cache" feature of "%{crate}" crate.

%files       -n %{name}+gpu_cache-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+has-atomics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+has-atomics-devel %{_description}

This package contains library source intended for building other packages
which use "has-atomics" feature of "%{crate}" crate.

%files       -n %{name}+has-atomics-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+libm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-devel %{_description}

This package contains library source intended for building other packages
which use "libm" feature of "%{crate}" crate.

%files       -n %{name}+libm-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+libm-math-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-math-devel %{_description}

This package contains library source intended for building other packages
which use "libm-math" feature of "%{crate}" crate.

%files       -n %{name}+libm-math-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+linked-hash-map-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linked-hash-map-devel %{_description}

This package contains library source intended for building other packages
which use "linked-hash-map" feature of "%{crate}" crate.

%files       -n %{name}+linked-hash-map-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+num_cpus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num_cpus-devel %{_description}

This package contains library source intended for building other packages
which use "num_cpus" feature of "%{crate}" crate.

%files       -n %{name}+num_cpus-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rustc-hash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-hash-devel %{_description}

This package contains library source intended for building other packages
which use "rustc-hash" feature of "%{crate}" crate.

%files       -n %{name}+rustc-hash-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# files required for doc tests are not shipped with the crate
%cargo_test -- --lib
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-3
- Port to latest versions of dependencies.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-1
- Initial package
